DRM_MM_SCAN_REMOVE_B(9)

NAME
drm_mm_scan_remove_block - remove a node from the scan list

SYNOPSIS

bool drm_mm_scan_remove_block(struct drm_mm_node * node);

ARGUMENTS

node
    drm_mm_node to remove

DESCRIPTION

Nodes _must_ be removed in the exact same order from the scan list as they have been added, otherwise the internal state of the memory manager will be corrupted.

When the scan list is empty, the selected memory nodes can be freed. An immediately following drm_mm_search_free with !DRM_MM_SEARCH_BEST will then return the just freed block (because its at the top of the free_stack list).

RETURNS

True if this block should be evicted, false otherwise. Will always return false when no hole has been found.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT